<template>
  <nav
    id="actionBottomBar"
    class="kit action-bar mobilshow sticky">
    <div
      role="button"
      :class="{'active': value === 'filters'}"
      @click="toggleContentMobile"
      class="button a-filter left"/>
    <div
      role="button"
      :class="[
        {'active': value !== 'filters'},
        {'a-info': iconBtn === 'info'},
        {'a-tyres': iconBtn === 'tyres'},
        {'a-wheels': iconBtn === 'wheels'}
      ]"
      @click="toggleContentMobile"
      class="button right"/>
  </nav>
</template>

<script>
export default {
  name: 'ActionBarMobile',
  props: {
    iconBtn: {
      type: String,
      default: 'info',
    },
    value: {
      type: String,
      default: 'filters',
    },
  },
  methods: {
    toggleContentMobile() {
      const value = this.value === 'filters' ? 'info' : 'filters';
      this.$emit('input', value);
    },
  },
};
</script>

<style scoped lang="scss">
  .kit.action-bar {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-height: 3.25rem;
    margin: -1px 0 -1.5rem;
    border-top: 1px solid #c5d1d9;
    width: 100vw;
    position: sticky;
    z-index: 1000;
    bottom: 0;
    background-color: #f7f7f7;
    > .button {
      border: none;
      outline: none;
      display: block;
      width: 2rem;
      height: 2rem;
      margin: auto 1rem;
      background-color: #c5d1d9;
      background-repeat: no-repeat;
      background-position: center;
      background-size: 1rem 1rem;
      border-radius: 0.1875rem;
      transition: all .3s ease;
      &.right {
        margin-left: auto;
      }
      &.active {
        background-color: #4272a4;
      }
      &.a-filter {
        background-position: center .55rem;
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-422 3678 12.6 15.1' fill='%23FFF'%3E%3Cpath d='M-422 3678h12.6v3l-4.4 3.7v8.4l-3.9-3.6v-4.8l-4.3-3.7z'/%3E%3C/svg%3E");
      }
      &.a-info {
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='5888 3058 5.977 13.135' fill='%238798a4'%3E%3Cg fill='%23FFF' transform='translate(5888 3058)'%3E%3Crect width='3.582' height='3.582' rx='1.5' transform='translate(1.194)'/%3E%3Cpath d='M5.977 11.741v1.393H0v-1.393l1.215-1V7.159L0 6.159V4.776h2.988c.825 0 1.794.624 1.794 1.393v4.577z'/%3E%3C/g%3E%3C/svg%3E");
      }
      &.a-tyres {
        background-size: 1.25rem 1.25rem;
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-1202.38 3204 19 22' fill='%23FFF'%3E%3Cdefs%3E%3Cstyle%3E.cls-2{fill:none;stroke-miterlimit:10;stroke-width:2px}%3C/style%3E%3C/defs%3E%3Cg id='tires' transform='translate(-5460.375 3681)'%3E%3Cellipse cx='2.25' cy='5' rx='2.25' ry='5' transform='translate(4269.245 -471)'/%3E%3Cellipse stroke='%23FFF' class='cls-2' cx='4.5' cy='10' rx='4.5' ry='10' transform='translate(4266.995 -476)'/%3E%3Cpath stroke='%23FFF' class='cls-2' d='M953 258h-7.5c-2.49 0-4.5 4.48-4.5 10s2 10 4.5 10h7.5' transform='translate(3317.995 -734)'/%3E%3Cpath stroke='%23FFF' class='cls-2' transform='translate(4260.064 -472.47)' d='M0 0h8.19'/%3E%3Cpath stroke='%23FFF' class='cls-2' transform='translate(4258.995 -468.71)' d='M0 0h8.19'/%3E%3Cpath stroke='%23FFF' class='cls-2' transform='translate(4258.375 -464.95)' d='M0 0h8.18'/%3E%3Cpath stroke='%23FFF' class='cls-2' transform='translate(4258.805 -461.18)' d='M0 0h8.19'/%3E%3Cpath stroke='%23FFF' class='cls-2' transform='translate(4260.805 -457.42)' d='M0 0h8.19'/%3E%3C/g%3E%3C/svg%3E");
      }
      &.a-wheels {
        background-size: 1.3rem 1.3rem;
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-1057 3203 22 22' fill='%23FFF'%3E%3Cpath d='M-1046 3203a11 11 0 1 0 11 11 11 11 0 0 0-11-11zm-2.48 11.09a2.36 2.36 0 0 1 .2-1 2.46 2.46 0 0 1 1.27-1.27l.16-.07a2.43 2.43 0 0 1 1.68 0l.16.07a2.46 2.46 0 0 1 1.27 1.27 2.361 2.361 0 0 1 .2 1 2.311 2.311 0 0 1-.15.83.84.84 0 0 1-.06.17 2.44 2.44 0 0 1-1.27 1.26 2.4 2.4 0 0 1-1.92 0 2.44 2.44 0 0 1-1.27-1.26.853.853 0 0 1-.06-.17 2.311 2.311 0 0 1-.21-.83zm4.81-3.83a3.89 3.89 0 0 0-1.33-.54v-4.66a9 9 0 0 1 4.61 1.92zm-3.33-.54a3.89 3.89 0 0 0-1.33.54l-3.28-3.26a9 9 0 0 1 4.61-1.92zm-1.44 8.13a4.272 4.272 0 0 0 1.44.6v4.49a9 9 0 0 1-4.61-1.92zm3.44.6a4.269 4.269 0 0 0 1.44-.6l3.17 3.17a9 9 0 0 1-4.61 1.92zm2.82-2a3.91 3.91 0 0 0 .54-1.32h4.57a9 9 0 0 1-1.9 4.52zm5.13-3.32h-4.59a4.36 4.36 0 0 0-.6-1.44l3.26-3.26a9 9 0 0 1 1.98 4.66zm-16-4.7l3.26 3.26a4.36 4.36 0 0 0-.6 1.44h-4.61a9 9 0 0 1 2-4.74zm-1.9 6.7h4.57a3.91 3.91 0 0 0 .54 1.32l-3.2 3.2a9 9 0 0 1-1.89-4.56z'/%3E%3C/svg%3E");
      }
    }
  }

</style>
